%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name ansible-core
%global pypi_version 2.16.6

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.2%{?dist}
Summary:        Radically simple IT automation

License:        GPLv3+
URL:            https://ansible.com/
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/ansible_core-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires: /usr/bin/pathfix.py
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
[![PyPI version]( [![Docs badge]( [![Chat badge]( [![Build Status]( [![Ansible
Code of Conduct](

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-cryptography
Requires:       python%{python3_pkgversion}-jinja2
Requires:       python%{python3_pkgversion}-pyyaml
Requires:       python%{python3_pkgversion}-packaging
Requires:       python%{python3_pkgversion}-resolvelib
Requires:       python%{python3_pkgversion}-setuptools
Provides:       %{pypi_name} = %{pypi_version}
%description -n python%{python3_pkgversion}-%{pypi_name}
[![PyPI version]( [![Docs badge]( [![Chat badge]( [![Build Status]( [![Ansible
Code of Conduct](


%prep
%autosetup -p1 -n ansible_core-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Fix all Python shebangs recursively in .
# -p preserves timestamps
# -n prevents creating ~backup files
# -i specifies the interpreter for the shebang
# Need to list files that do not match ^[a-zA-Z0-9_]+\.py$ explicitly!
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" .

%build
%py3_build

%install
%py3_install

# Some files got ambiguous python shebangs, we fix them after everything else is done
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib} %{buildroot}%{_bindir}/*


%files -n python%{python3_pkgversion}-%{pypi_name}
%license licenses/Apache-License.txt licenses/MIT-license.txt licenses/PSF-license.txt
%doc README.md lib/ansible/galaxy/data/apb/README.md lib/ansible/galaxy/data/container/README.md lib/ansible/galaxy/data/default/collection/README.md.j2 lib/ansible/galaxy/data/default/collection/plugins/README.md.j2 lib/ansible/galaxy/data/default/role/README.md lib/ansible/galaxy/data/network/README.md test/integration/targets/ansible-doc/test_role1/README.txt test/integration/targets/ansible-test-sanity/ansible_collections/ns/col/README.md test/integration/targets/ansible-test-sanity-validate-modules/ansible_collections/ns/failure/README.md test/integration/targets/ansible-test-sanity-validate-modules/ansible_collections/ns/ps_only/README.md test/integration/targets/ansible-vault/invalid_format/README.md test/integration/targets/ansible-vault/roles/test_vault_file_encrypted_embedded/README.md test/integration/targets/copy/files-different/vault/readme.txt test/support/README.md test/units/cli/test_data/collection_skeleton/README.md test/units/cli/test_data/role_skeleton/README.md
%{_bindir}/ansible
%{_bindir}/ansible-config
%{_bindir}/ansible-connection
%{_bindir}/ansible-console
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-inventory
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-test
%{_bindir}/ansible-vault
%{python3_sitelib}/ansible
%{python3_sitelib}/ansible_test
%{python3_sitelib}/ansible_core-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Aug 27 2024 Carlos Heiras <carlos.heiras@oracle.com> - 2.16.6-1.0.2
- Add Provides directive

* Fri Jul 26 2024 Darren Archibald <darren.archibald@oracle.com> - 2.16.6-1.0.1
- Rebuild with python 3.11

* Fri Jul 26 2024 Darren Archibald <darren.archibald@oracle.com> - 2.16.6-1
- Initial package.
